# $Revision: 1.10 $, $Date: 2006/05/05 17:59:39 $
#
# Conditional build:
%bcond_with	libgssapi	# use heimdal directly instead of libgssapi glue
#
Summary:	rpcsec_gss implementation library
Summary(pl):	Biblioteka implementujca rpcsec_gss
Name:		librpcsecgss
Version:	0.11
Release:	3
License:	mixture of UM and Sun licenses
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/%{name}-%{version}.tar.gz
# Source0-md5:	9c3a837b287f7d1d23bfe5244bbf1004
Patch0:		%{name}-heimdal.patch
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
%if %{with libgssapi}
BuildRequires:	libgssapi-devel >= 0.9
BuildRequires:	pkgconfig
Requires:	libgssapi >= 0.9
%else
BuildRequires:	heimdal-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librpcsecgss allows secure RPC communication using the rpcsec_gss
protocol.

%description -l pl
librpcsecgss umoliwia bezpieczn komunikacj RPC przy uyciu
protokou rpcsec_gss.

%package devel
Summary:	Development files for librpcsecgss library
Summary(pl):	Pliki programistyczne biblioteki librpcsecgss
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with libgssapi}
Requires:	libgssapi-devel >= 0.9
%else
Requires:	heimdal-devel
%endif

%description devel
Development files for librpcsecgss library.

%description devel -l pl
Pliki programistyczne biblioteki librpcsecgss.

%package static
Summary:	Static librpcsecgss library
Summary(pl):	Statyczna biblioteka librpcsecgss
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librpcsecgss library.

%description static -l pl
Statyczna biblioteka librpcsecgss.

%prep
%setup -q
%if %{without libgssapi}
%patch0 -p1
sed -i -e 's,gssapi/gssapi\.h,gssapi.h,' include/rpcsecgss/rpc/auth_gss.h \
	src/{authgss_prot,auth_gss,svc_auth_gss}.c
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	librpcsecgss_la_LIBADD='$(GSSAPI_LIBS)'

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/librpcsecgss.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librpcsecgss.so
%{_libdir}/librpcsecgss.la
%{_includedir}/rpcsecgss
%{_pkgconfigdir}/librpcsecgss.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librpcsecgss.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librpcsecgss.spec,v $
Revision 1.10  2006/05/05 17:59:39  baggins
- rel 3
- fixed bcond

Revision 1.9  2006/05/05 17:35:20  baggins
- rel 2
- reversed libgssapi bcond, the patch is bogus and halfway done

Revision 1.8  2006/04/17 08:41:43  qboosh
- updated to 0.11, updated heimdal patch

Revision 1.7  2006/04/06 20:40:22  qboosh
- updated to 0.10

Revision 1.6  2006/02/27 21:39:21  qboosh
- updated to 0.8

Revision 1.5  2005/12/09 21:02:58  qboosh
- updated to 0.7, removed outdated configure patch
- added conditional heimdal patch

Revision 1.4  2005/08/06 11:18:13  qboosh
- updated to 0.6 (note: new soname)
- updated configure patch

Revision 1.3  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.2  2005/03/29 16:40:52  qboosh
- updated to 0.5, updated configure patch
- removed heimdal-libs dep (it's autogenerated)

Revision 1.1  2005/02/28 21:15:39  qboosh
- new
